Bug 1295409 - [abrt] file-roller: xfer_data_free(): file-roller killed by SIGSEGV
[abrt] file-roller: xfer_data_free(): file-roller killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:55c684331e9017b39d2398dbd66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 07:03 EST by Chen_Min_Chin
Modified: 2016-12-20 12:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.97 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: core_backtrace (3.77 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: dso_list (10.54 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: environ (862 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: maps (53.55 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: mountinfo (3.72 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: open_fds (1.38 KB, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details
File: var_log_messages (308 bytes, text/plain)
2016-01-04 07:03 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2016-01-04 07:03:21 EST
Version-Release number of selected component:
file-roller-3.16.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        file-roller --notify --default-dir=sftp://liveuser@192.168.1.106/home/liveuser/2TB-disk/game --add sftp://liveuser@192.168.1.106/home/liveuser/2TB-disk/game/epsxe1925lin
crash_function: xfer_data_free
executable:     /usr/bin/file-roller
global_pid:     19451
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 xfer_data_free at fr-command.c:82
 #3 g_copy_current_file at gio-utils.c:833
 #4 g_copy_next_file at gio-utils.c:772
 #5 g_copy_files_ready_cb at gio-utils.c:806
 #6 g_task_return_now at gtask.c:1106
 #7 complete_in_idle_cb at gtask.c:1120
 #11 g_main_context_iteration at gmain.c:3901
 #12 g_application_run at gapplication.c:2311

Potential duplicate: bug 1080426
Comment 1 Chen_Min_Chin 2016-01-04 07:03:26 EST
Created attachment 1111452 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2016-01-04 07:03:27 EST
Created attachment 1111453 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2016-01-04 07:03:29 EST
Created attachment 1111454 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2016-01-04 07:03:30 EST
Created attachment 1111455 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2016-01-04 07:03:32 EST
Created attachment 1111456 [details]
File: environ
Comment 6 Chen_Min_Chin 2016-01-04 07:03:33 EST
Created attachment 1111457 [details]
File: exploitable
Comment 7 Chen_Min_Chin 2016-01-04 07:03:34 EST
Created attachment 1111458 [details]
File: limits
Comment 8 Chen_Min_Chin 2016-01-04 07:03:37 EST
Created attachment 1111459 [details]
File: maps
Comment 9 Chen_Min_Chin 2016-01-04 07:03:38 EST
Created attachment 1111460 [details]
File: mountinfo
Comment 10 Chen_Min_Chin 2016-01-04 07:03:40 EST
Created attachment 1111461 [details]
File: namespaces
Comment 11 Chen_Min_Chin 2016-01-04 07:03:41 EST
Created attachment 1111462 [details]
File: open_fds
Comment 12 Chen_Min_Chin 2016-01-04 07:03:42 EST
Created attachment 1111463 [details]
File: proc_pid_status
Comment 13 Chen_Min_Chin 2016-01-04 07:03:44 EST
Created attachment 1111464 [details]
File: var_log_messages
Comment 14 Peter 2016-04-03 15:06:14 EDT
Similar problem has been detected:

I tried to compress some files.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller --notify --default-dir=smb://server/public/Administration/XXXXXXXX/DKB/Kontoausz%C3%BCge/XXXXXXXXXXXXX%20-%20Hauptkonto --add smb://server/public/Administration/Peter/XXX/Kontoausz%C3%BCge/XXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXX_Nr_2014_001_per_2014_01_03.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXX_Nr_2014_002_per_2014_02_04.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXXXX_Nr_2014_003_per_2014_03_04.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXX_Nr_2014_004_per_2014_04_02.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXXXXX_Nr_2014_005_per_2014_05_02.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXXXXXXX_Nr_2014_006_per_2014_06_03.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXXXXXXX_Nr_2014_007_per_2014_07_02.pdf smb://server/public/Administration/Peter/DKB/Kontoausz%C3%BCge/XXXXXXXXXX%20-%20Hauptkonto/Kontoauszug_XXXXXXXXXX_Nr_2014_008_per_2014_08_04.pdf
crash_function: xfer_data_free
executable:     /usr/bin/file-roller
global_pid:     9700
kernel:         4.4.6-300.fc23.x86_64
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 09:41:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:35:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.